%define         basever 0.7.8

Name:           libcompizconfig
Version:        0.7.8
Release:        3%{?dist}
Summary:        Configuration backend for compiz

Group:          System Environment/Libraries
# backends/libini.so is GPLv2+, other parts are LGPLv2+
License:        LGPLv2+ and GPLv2+
URL:            http://www.opencompositing.org/

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch100:        libcompizconfig-fix-weak-symbols.patch
#Patch101:        libcompizconfig-gcc43-buildfix.patch
#Patch102:        libcompizconfig-gcc43-buildfix2.patch

# libdrm is not available on these arches
ExcludeArch:    s390 s390x
BuildRequires:  compiz-devel >= %{basever}, compiz-bcop >= %{basever}
BuildRequires:  libX11-devel, gettext, intltool
BuildRequires:  perl(XML::Parser)
BuildRequires:  mesa-libGL-devel

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the library for plugins to configure compiz 
settings.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} , pkgconfig , compiz-devel >= %{version}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch100 -p1 -b .fix-weak-symbols
#%patch101 -p1 -b .gcc43-buildfix
#%patch102 -p1 -b .gcc43-buildfix2

%build
%configure --disable-static 
           
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS VERSION
%{_sysconfdir}/compizconfig/
%{_libdir}/*.so.*
%dir %{_datadir}/compizconfig/
%{_datadir}/compizconfig/global.xml
%{_datadir}/compiz/ccp.xml
%{_libdir}/compiz/*.so
%dir %{_libdir}/compizconfig/
%dir %{_libdir}/compizconfig/backends/
%{_libdir}/compizconfig/backends/libini.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcompizconfig.pc


%changelog
* Sat Feb 28 2009 Caolán McNamara <caolanm@redhat.com> - 0.7.8-3
- add mesa-libGL-devel BuildRequires

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.8-1
- update to 0.7.8

* Tue Jul 15 2008 Nikolay Vladimirof <nikolay@vladimiroff.com> - 0.7.6-2
- rebuild for ppc64

* Sat Jun 7 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.6-1
- 0.7.6 update

* Tue Mar 27 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.2-1
- 0.7.2 update

* Sun Feb 10 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-7
- rebuild for gcc43

* Tue Jan 08 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-5
- patched also the configure script

* Tue Jan 08 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-4
- applied gcc43 buildfix

* Wed Oct 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-3
- -devel requires compiz-devel >= version

* Wed Oct 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-2
- >= instead of = to allow compiz upgrade flexibility

* Tue Oct 23 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-1
- official 0.6.0 release

* Tue Oct 16 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.3.20071011git5615ca
- added LICENSE.gpl and LICENSE.lgpl into doc
- license tag changed to LGPLv2+ and GPLv2+

* Tue Oct 16 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.2.20071011git5615ca
- 20071011git
- added BuildDep libX11-devel
- added patch to fix weak symbols

* Sat Oct 6 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.3
- owns created directories
- updated license tag

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- 0.5.2 release

* Sun Jul 03 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.4.20070703git
- 20070703git

* Sun Jun 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-20070622git
- Initial specfile, borrowing descriptions from Trevino ubuntu debs

